Bug 2124907 - gnome-software crashes while fedora-third-party enable is run
Summary: gnome-software crashes while fedora-third-party enable is run
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F37FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-09-07 12:20 UTC by Kamil Páral
Modified: 2022-09-12 17:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-12 17:47:21 UTC
Type: Bug


Attachments (Terms of Use)
backtrace (27.77 KB, text/plain)
2022-09-07 12:20 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2022-09-07 12:20:01 UTC
Created attachment 1910165 [details]
backtrace

Description of problem:
See bug 2124857 comment 6 and 7.

The crash log is attached.

Version-Release number of selected component (if applicable):
gnome-software-43.rc-1.fc37.x86_64
flatpak-1.13.3-6.fc37.x86_64

How reproducible:
sometimes

Steps to Reproduce:
1. run 'fedora-third-party enable' (if you haven't enabled them before)
2. gnome-software sometimes crashes

Comment 1 Milan Crha 2022-09-07 15:07:02 UTC
Thanks for the backtrace. My semi-wild guess is that this is [1]. Seeing one thread in the flatpak's curl code could be a hint, but not necessarily. I see the [1] is included in flatpak 1.14.0. It does not seem to be in Fedora yet. It will be good to re-test once it's available.

[1] https://github.com/flatpak/flatpak/issues/3701

Comment 2 Kamil Páral 2022-09-08 13:29:06 UTC
Thanks. I tried it a few times with flatpak 1.14 and no crash occurred, so it might really fix this problem:
https://bodhi.fedoraproject.org/updates/FEDORA-2022-786cdbe62c

Proposing as a freeze exception, in case we don't sign off Beta today. (Please note that the gnome-software crash might occur not just when running the command manually in the terminal, but also when enabling the flathub selection repo graphically from inside gnome-software itself).

Comment 3 Fedora Update System 2022-09-08 15:30:04 UTC
FEDORA-2022-786cdbe62c has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-786cdbe62c

Comment 4 Adam Williamson 2022-09-09 22:40:46 UTC
Beta is signed off, so this can't go into it. Moving to proposed Final FE, though of course it can go in before the Final freeze with no FE status needed.

Comment 5 Fedora Update System 2022-09-12 17:47:21 UTC
FEDORA-2022-786cdbe62c has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.